Summary: ATT Research Korn Shell 93, ksh 93
Name: ksh93
Version: 2000.10.31.0
Release: 1
URL: http://www.kornshell.com/
Distribution: Dan E. Anderson http://www.dan.drydog.com/
License: Copyright (c) 1982-2000 AT&T Corp. AST Open License: http://www.research.att.com/sw/license/ast-open.html
Group: System Environment/Shells
Source0: INIT.2000-10-31.0000.tgz
Source1: ast-base.2000-10-31.0000.tgz
Source2: ast-base-locale.2000-10-31.0000.tgz
Vendor: Dan E. Anderson http://www.dan.drydog.com/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
PreReq: grep, fileutils
Conflicts: pdksh

%description
The ksh93 package contains Korn Shell 93, ksh. Ksh is a command interpreter
intended for both interactive and shell script use.  Ksh's command language
is a superset of the Bourne shell, sh.  Ksh has the functionality of other
scripting languages such as awk, icon, perl, rexx, and tcl.  Ksh is
compatible with earlier versions of ksh. Ksh is extensible.

Ksh is intended to conform to the Shell Language Standard developed by the
IEEE POSIX 1003.2 Shell and Utilities Language Committee.

Ksh was developed by David Korn and others at AT&T's Research Lab.

Install the ksh93 package if you want to use the standard ksh shell.

%prep
%setup -c ksh93-%{version}
KSHDATESTAMP=2000-10-31.0000
mkdir -p lib/package/tgz
pwd
cp -p ../../SOURCES/INIT.${KSHDATESTAMP}.tgz            lib/package/tgz
cp -p ../../SOURCES/ast-base.${KSHDATESTAMP}.tgz        lib/package/tgz
cp -p ../../SOURCES/ast-base-locale.${KSHDATESTAMP}.tgz lib/package/tgz
tar xvzf lib/package/tgz/INIT.${KSHDATESTAMP}.tgz

%build
bin/package read
bin/package make SHELL=/bin/bash

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/{bin,usr/bin,usr/include,usr/lib}
mkdir -p $RPM_BUILD_ROOT/{usr/share/man/man1,usr/share/man/man3}
cat src/cmd/ksh93/sh.1 | sed -e 's/^\.nr Z 0/\.nr Z 1/' \
	> $RPM_BUILD_ROOT/usr/share/man/man1/ksh.1
cat src/cmd/ksh93/sh.1 | sed -e 's/^\.nr Z 0/\.nr Z 1/' \
	> $RPM_BUILD_ROOT/usr/share/man/man1/rksh.1
ln -sf     ksh.1 $RPM_BUILD_ROOT/usr/share/man/man1/rksh.1
cd arch/linux.i386
install -s bin/ksh $RPM_BUILD_ROOT/bin
ln -sf  ksh $RPM_BUILD_ROOT/bin/rksh
ln -sf  ../../bin/ksh $RPM_BUILD_ROOT/usr/bin/ksh
ln -sf  ../../bin/ksh $RPM_BUILD_ROOT/usr/bin/rksh
install include/ast/shell.h $RPM_BUILD_ROOT/usr/include
install lib/libshell.so.1.1 $RPM_BUILD_ROOT/usr/lib
ln -sf  libshell.so.1.1 $RPM_BUILD_ROOT/usr/lib/libshell.so
install lib/libshell.a $RPM_BUILD_ROOT/usr/lib
install man/man3/shell.3 $RPM_BUILD_ROOT/usr/share/man/man3
install man/man3/nval.3 $RPM_BUILD_ROOT/usr/share/man/man3

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ ! -f /etc/shells ] ; then
	echo "/bin/ksh" > /etc/shells
elif ! grep -q '^/bin/ksh$' /etc/shells 2> /dev/null ; then
	echo '/bin/ksh' >> /etc/shells
fi

%postun
if [ ! -f /bin/ksh ] ; then
	grep -v /bin/ksh /etc/shells > /etc/shells.new 2> /dev/null
	cat /etc/shells.new > /etc/shells
	rm -f /etc/shells.new
fi

%verifyscript

echo -n "Looking for ksh in /etc/shells... "
if ! grep '^/bin/ksh$' /etc/shells > /dev/null; then
    echo "missing"
    echo "ksh missing from /etc/shells" >&2
else
    echo "found"
fi

%files
%defattr(0644,root,root)
%doc src/cmd/ksh93/README
%doc src/cmd/ksh93/COMPATIBILITY
%doc src/cmd/ksh93/DESIGN
%doc src/cmd/ksh93/OBSOLETE
%doc src/cmd/ksh93/OPTIONS
%doc src/cmd/ksh93/PROMO.mm
%doc src/cmd/ksh93/RELEASE
%doc src/cmd/ksh93/RELEASE88
%doc src/cmd/ksh93/PROMO.mm
%doc src/cmd/ksh93/builtins.mm
%doc src/cmd/ksh93/grep.mm
%doc src/cmd/ksh93/sh.memo
%doc src/cmd/ksh93/RELEASE93
%attr(0755,root,root) /bin/ksh
%attr(0755,root,root) /bin/rksh
%attr(0755,root,root) /usr/bin/ksh
%attr(0755,root,root) /usr/bin/rksh
/usr/include/shell.h
/usr/lib/libshell.a
/usr/lib/libshell.so
%attr(0755,root,root) /usr/lib/libshell.so.1.1
%{_mandir}/*/*

%changelog
* Mon May 07 2001 Dan Anderson<dan@drydog.com>
- Initial RPM packaging release
